/*
 * Copyright 2010 David Jurgens
 *
 * This file is part of the S-Space package and is covered under the terms and
 * conditions therein.
 *
 * The S-Space package is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as published
 * by the Free Software Foundation and distributed hereunder to you.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS" AND NO REPRESENTATIONS OR WARRANTIES,
 * EXPRESS OR IMPLIED ARE MADE.  BY WAY OF EXAMPLE, BUT NOT LIMITATION, WE MAKE
 * NO REPRESENTATIONS OR WARRANTIES OF MERCHANT- ABILITY OR FITNESS FOR ANY
 * PARTICULAR PURPOSE OR THAT THE USE OF THE LICENSED SOFTWARE OR DOCUMENTATION
 * WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS, TRADEMARKS OR OTHER
 * RIGHTS.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

package edu.ucla.sspace.vector;

import org.junit.Ignore;
import org.junit.Test;

import static org.junit.Assert.*;

import java.util.HashMap;
import java.util.Map;


/**
 * Tests for the {@link SparseHashDoubleVector} class.
 */
public class SparseHashDoubleVectorTests {

    @Test public void testSetZero() {
        SparseHashDoubleVector v = new SparseHashDoubleVector(100);
        v.set(0, 0);
        assertEquals(0, v.getNonZeroIndices().length);
    }

    @Test public void testSetAddSumIsZero() {
        SparseHashDoubleVector v = new SparseHashDoubleVector(100);
        assertEquals(0, v.getNonZeroIndices().length);
        v.add(0, 1);
        assertEquals(1, v.getNonZeroIndices().length);
        v.add(0, -1);
        assertEquals(0, v.getNonZeroIndices().length);
    }

    @Test public void testMagnitude() {
        SparseHashDoubleVector v = new SparseHashDoubleVector(100);
        assertEquals(0, v.magnitude(), .0001);

        v.set(1, 1);
        assertEquals(1, v.magnitude(), .0001);

        v.set(1, 3);
        v.set(2, 4);
        assertEquals(5, v.magnitude(), .0001);

        SparseHashDoubleVector v2 = new SparseHashDoubleVector(v);
        assertEquals(5, v2.magnitude(), .0001);
    }
}